KNOX-1417 - Upgrade Bouncy Castle Dependency from Pac4J
authorLarry McCay <lmccay@apache.org>
Thu, 2 Aug 2018 23:46:52 +0000 (19:46 -0400)
committerLarry McCay <lmccay@apache.org>
Thu, 2 Aug 2018 23:54:35 +0000 (19:54 -0400)
gateway-provider-security-pac4j/pom.xml

index 37f8e13..8284dbe 100644 (file)
                     <groupId>xalan</groupId>
                     <artifactId>xalan</artifactId>
                 </exclusion>
-                                 <exclusion>
+               <exclusion>
                     <groupId>org.springframework</groupId>
                     <artifactId>spring-core</artifactId>
                 </exclusion>
+                <exclusion>
+                    <groupId>org.bouncycastle</groupId>
+                    <artifactId>bcprov-jdk15on</artifactId>
+                </exclusion>
             </exclusions>
         </dependency>
 
             <artifactId>spring-core</artifactId>
             <version>4.3.17.RELEASE</version>
         </dependency>
+        <dependency>
+            <groupId>org.bouncycastle</groupId>
+            <artifactId>bcprov-jdk15on</artifactId>
+            <version>1.56</version>
+        </dependency>
 
         <dependency>
             <groupId>org.pac4j</groupId>